Index: branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsExcute.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsExcute.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsExcute.cs	(revision 51)
@@ -703,6 +851,7 @@
             catch (Exception ex)
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                BackProcess();
             }
             finally
             {
@@ -727,6 +876,15 @@
                 ClsExcute.SubFormHandleList[ProcessNo].ProcessNo = ProcessNo;
                 ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle = (Form)frm;
 
+                // 起動・編集フラグ
+                int EditFlg = (int)CommonDefine.ProcessDataEdit.Reference;
+                if (!ClsSecurityPermission.GetExecutePermission(ProcessNo, ref EditFlg))
+                {
+                    BackProcess();
+                    return;
+                }
+                if (EditFlg == (int)CommonDefine.ProcessDataEdit.Reference) frm.EditLock = true;
+
                 // パラメータセット
                 frm.ConstructionCode = CurrentPara.IntExecParameter[0];
 
@@ -737,6 +895,7 @@
             catch (Exception ex)
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                BackProcess();
             }
             finally
             {
@@ -761,6 +920,15 @@
                 ClsExcute.SubFormHandleList[ProcessNo].ProcessNo = ProcessNo;
                 ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle = (Form)frm;
 
+                // 起動・編集フラグ
+                int EditFlg = (int)CommonDefine.ProcessDataEdit.Reference;
+                if (!ClsSecurityPermission.GetExecutePermission(ProcessNo, ref EditFlg))
+                {
+                    BackProcess();
+                    return;
+                }
+                if (EditFlg == (int)CommonDefine.ProcessDataEdit.Reference) frm.EditLock = true;
+
                 // パラメータセット
                 frm.ConstructionCode = CurrentPara.IntExecParameter[0];
 
@@ -770,6 +938,7 @@
             catch (Exception ex)
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                BackProcess();
             }
             finally
             {
@@ -778,33 +947,6 @@
         }
         #endregion
 
-        #region 積算予算書印刷
-        /// <summary>
-        /// 積算予算書印刷
-        /// </summary>
-        /// <returns></returns>
-        public static void ProcessExecuteNo_EstimateBudgetPrint(ProcessParameter CurrentPara)
-        {
-            // 積算予算書印刷
-            FrmEstimateBudgetPrint frm = new FrmEstimateBudgetPrint();
-            try
-            {
-                frm.ConstructionCode = CurrentPara.IntExecParameter[0];
-
-                // フォーム表示
-                frm.ShowDialog();
-            }
-            catch (Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-            }
-            finally
-            {
-                frm.Dispose(); frm = null;
-            }
-        }
-        #endregion
-        
         #region 工事予算書入力
         /// <summary>
         /// 工事予算書入力
@@ -821,6 +963,15 @@
                 ClsExcute.SubFormHandleList[ProcessNo].ProcessNo = ProcessNo;
                 ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle = (Form)frm;
 
+                // 起動・編集フラグ
+                int EditFlg = (int)CommonDefine.ProcessDataEdit.Reference;
+                if (!ClsSecurityPermission.GetExecutePermission(ProcessNo, ref EditFlg))
+                {
+                    BackProcess();
+                    return;
+                }
+                if (EditFlg == (int)CommonDefine.ProcessDataEdit.Reference) frm.EditLock = true;
+
                 // パラメータセット
                 frm.ConstructionCode = CurrentPara.IntExecParameter[0];
 
@@ -830,6 +981,7 @@
             catch (Exception ex)
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                BackProcess();
             }
             finally
             {
@@ -854,9 +1006,25 @@
                 ClsExcute.SubFormHandleList[ProcessNo].ProcessNo = ProcessNo;
                 ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle = (Form)frm;
 
+                // 起動・編集フラグ
+                int EditFlg = (int)CommonDefine.ProcessDataEdit.Reference;
+                if (!ClsSecurityPermission.GetExecutePermission(ProcessNo, ref EditFlg))
+                {
+                    BackProcess();
+                    return;
+                }
+                if (EditFlg == (int)CommonDefine.ProcessDataEdit.Reference) frm.EditLock = true;
+
                 // パラメータセット
                 frm.ConstructionCode = CurrentPara.IntExecParameter[0];
+                if (CurrentPara.IntExecParameter.Count > 2) frm.OrderNo = CurrentPara.IntExecParameter[2];
 
+                // 直接表示フラグのセット
+                if (CurrentPara.BoolExecParameter.Count > 0)
+                {
+                    frm.DirectFlg = CurrentPara.BoolExecParameter[0];
+                }
+
                 // フォーム表示
                 frm.ShowDialog();
             }
@@ -863,6 +1031,7 @@
             catch (Exception ex)
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                BackProcess();
             }
             finally
             {
@@ -887,8 +1056,18 @@
                 ClsExcute.SubFormHandleList[ProcessNo].ProcessNo = ProcessNo;
                 ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle = (Form)frm;
 
+                // 起動・編集フラグ
+                int EditFlg = (int)CommonDefine.ProcessDataEdit.Reference;
+                if (!ClsSecurityPermission.GetExecutePermission(ProcessNo, ref EditFlg))
+                {
+                    BackProcess();
+                    return;
+                }
+                if (EditFlg == (int)CommonDefine.ProcessDataEdit.Reference) frm.EditLock = true;
+
                 // パラメータセット
                 frm.ConstructionCode = CurrentPara.IntExecParameter[0];
+                frm.OrderNo = CurrentPara.IntExecParameter[1];
 
                 // フォーム表示
                 frm.ShowDialog();
@@ -896,6 +1075,7 @@
             catch (Exception ex)
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                BackProcess();
             }
             finally
             {
@@ -914,6 +1094,15 @@
             FrmApprovalList frm = new FrmApprovalList();
             try
             {
+                int ProcessNo = (int)ClsExcute.ProcessExecuteNo.ApprovalDocumentList;
+                // 起動・編集フラグ
+                int EditFlg = (int)CommonDefine.ProcessDataEdit.Reference;
+                if (!ClsSecurityPermission.GetExecutePermission(ProcessNo, ref EditFlg))
+                {
+                    BackProcess();
+                    return;
+                }
+
                 // 条件を取り込む
                 frm.ApprovalCode = CurrentPara.IntExecParameter[0];
 
@@ -923,6 +1112,7 @@
             catch (Exception ex)
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                BackProcess();
             }
             finally
             {
@@ -942,6 +1132,15 @@
             FrmCopyTargetList frm = new FrmCopyTargetList();
             try
             {
+                int ProcessNo = (int)ProcessExecuteNo.ConstructionCopyList;
+                // 起動・編集フラグ
+                int EditFlg = (int)CommonDefine.ProcessDataEdit.Reference;
+                if (!ClsSecurityPermission.GetExecutePermission(ProcessNo, ref EditFlg))
+                {
+                    BackProcess();
+                    return;
+                }
+
                 // パラメータセット
                 frm.ExecuteBaseNo = CurrentPara.IntExecParameter[0];      // 起動元番号
 
@@ -951,6 +1150,7 @@
             catch (Exception ex)
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                BackProcess();
             }
             finally
             {
@@ -967,9 +1167,18 @@
         public static void ProcessExecuteNo_ConstructionLedgerList(ProcessParameter CurrentPara)
         {
             //　工事詳細台帳一覧
-            FrmConstructionLedgerList frm = new FrmConstructionLedgerList();
+            FrmLedgerStatus frm = new FrmLedgerStatus();
             try
             {
+                int ProcessNo = (int)ProcessExecuteNo.ConstructionLedgerList;
+                // 起動・編集フラグ
+                int EditFlg = (int)CommonDefine.ProcessDataEdit.Reference;
+                if (!ClsSecurityPermission.GetExecutePermission(ProcessNo, ref EditFlg))
+                {
+                    BackProcess();
+                    return;
+                }
+
                 // 次起動プロセスセット
                 frm.ExecuteFlg = CurrentPara.IntExecParameter[0];
 
@@ -979,6 +1188,7 @@
             catch (Exception ex)
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                BackProcess();
             }
             finally
             {
@@ -1003,6 +1213,15 @@
                 ClsExcute.SubFormHandleList[ProcessNo].ProcessNo = ProcessNo;
                 ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle = (Form)frm;
 
+                // 起動・編集フラグ
+                int EditFlg = (int)CommonDefine.ProcessDataEdit.Reference;
+                if (!ClsSecurityPermission.GetExecutePermission(ProcessNo, ref EditFlg))
+                {
+                    BackProcess();
+                    return;
+                }
+                if (EditFlg == (int)CommonDefine.ProcessDataEdit.Reference) frm.EditLock = true;
+
                 // パラメータセット
                 frm.ConstructionCode = CurrentPara.IntExecParameter[0];
 
@@ -1012,6 +1231,7 @@
             catch (Exception ex)
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                BackProcess();
             }
             finally
             {
@@ -1036,8 +1256,18 @@
                 ClsExcute.SubFormHandleList[ProcessNo].ProcessNo = ProcessNo;
                 ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle = (Form)frm;
 
+                // 起動・編集フラグ
+                int EditFlg = (int)CommonDefine.ProcessDataEdit.Reference;
+                if (!ClsSecurityPermission.GetExecutePermission(ProcessNo, ref EditFlg))
+                {
+                    BackProcess();
+                    return;
+                }
+                if (EditFlg == (int)CommonDefine.ProcessDataEdit.Reference) frm.EditLock = true;
+
                 // パラメータセット
                 frm.ConstructionCode = CurrentPara.IntExecParameter[0];
+                if (CurrentPara.IntExecParameter.Count > 1) frm.PersonCode = CurrentPara.IntExecParameter[1];
 
                 // フォーム表示
                 frm.ShowDialog();
@@ -1045,6 +1275,7 @@
             catch (Exception ex)
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                BackProcess();
             }
             finally
             {
@@ -1064,6 +1295,15 @@
             FrmDRList frm = new FrmDRList();
             try
             {
+                int ProcessNo = (int)ProcessExecuteNo.DRList;
+                // 起動・編集フラグ
+                int EditFlg = (int)CommonDefine.ProcessDataEdit.Reference;
+                if (!ClsSecurityPermission.GetExecutePermission(ProcessNo, ref EditFlg))
+                {
+                    BackProcess();
+                    return;
+                }
+
                 // 次起動プロセスが設定されていない場合は終了
                 if (CurrentPara.IntExecParameter[0] == 0)
                 {
@@ -1082,6 +1322,7 @@
             catch (Exception ex)
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                BackProcess();
             }
             finally
             {
@@ -1106,6 +1347,15 @@
                 ClsExcute.SubFormHandleList[ProcessNo].ProcessNo = ProcessNo;
                 ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle = (Form)frm;
 
+                // 起動・編集フラグ
+                int EditFlg = (int)CommonDefine.ProcessDataEdit.Reference;
+                if (!ClsSecurityPermission.GetExecutePermission(ProcessNo, ref EditFlg))
+                {
+                    BackProcess();
+                    return;
+                }
+                if (EditFlg == (int)CommonDefine.ProcessDataEdit.Reference) frm.EditLock = true;
+
                 // パラメータセット
                 frm.ConstructionCode = CurrentPara.IntExecParameter[0];
                 frm.PersonCode = CurrentPara.IntExecParameter[1];
@@ -1117,6 +1367,7 @@
             catch (Exception ex)
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                BackProcess();
             }
             finally
             {
@@ -1141,6 +1392,15 @@
                 ClsExcute.SubFormHandleList[ProcessNo].ProcessNo = ProcessNo;
                 ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle = (Form)frm;
 
+                // 起動・編集フラグ
+                int EditFlg = (int)CommonDefine.ProcessDataEdit.Reference;
+                if (!ClsSecurityPermission.GetExecutePermission(ProcessNo, ref EditFlg))
+                {
+                    BackProcess();
+                    return;
+                }
+                if (EditFlg == (int)CommonDefine.ProcessDataEdit.Reference) frm.EditLock = true;
+
                 // パラメータセット
                 frm.ConstructionCode = CurrentPara.IntExecParameter[0];
 
@@ -1150,6 +1410,7 @@
             catch (Exception ex)
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                BackProcess();
             }
             finally
             {
@@ -1158,27 +1419,110 @@
         }
         #endregion
 
-        #region 日報一覧
+        #region 部署別台帳一覧
         /// <summary>
-        /// 日報一覧
+        /// 部署別台帳一覧
         /// </summary>
         /// <returns></returns>
-        public static void ProcessExecuteNo_DailyReportList(ProcessParameter CurrentPara)
+        public static void ProcessExecuteNo_DepartmentExpenssList(ProcessParameter CurrentPara)
         {
-            //　日報一覧
-            FrmDailyReportList frm = new FrmDailyReportList();
+            //　部署別台帳一覧
+            FrmDepExpenssList frm = new FrmDepExpenssList();
             try
             {
+                int ProcessNo = (int)ProcessExecuteNo.DepartmentExpenssList;
+                // 起動・編集フラグ
+                int EditFlg = (int)CommonDefine.ProcessDataEdit.Reference;
+                if (!ClsSecurityPermission.GetExecutePermission(ProcessNo, ref EditFlg))
+                {
+                    BackProcess();
+                    return;
+                }
+
+                // フォーム表示
+                frm.ShowDialog();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                BackProcess();
+            }
+            finally
+            {
+                frm.Dispose(); frm = null;
+            }
+        }
+        #endregion
+
+        #region 工事詳細台帳一覧（個人指定）
+        /// <summary>
+        /// 工事詳細台帳一覧（個人指定）
+        /// </summary>
+        /// <returns></returns>
+        public static void ProcessExecuteNo_ConstrLedgerPersonList(ProcessParameter CurrentPara)
+        {
+            //　工事詳細台帳一覧
+            FrmLedgerStatus frm = new FrmLedgerStatus();
+            try
+            {
+                int ProcessNo = (int)ProcessExecuteNo.ConstructionLedgerList;
+                // 起動・編集フラグ
+                int EditFlg = (int)CommonDefine.ProcessDataEdit.Reference;
+                if (!ClsSecurityPermission.GetExecutePermission(ProcessNo, ref EditFlg))
+                {
+                    BackProcess();
+                    return;
+                }
+
                 // 次起動プロセスセット
-                frm.ProcessNo = CurrentPara.IntExecParameter[0];
+                frm.ExecuteFlg = CurrentPara.IntExecParameter[0];
 
+                // 初期選択無しフラグ
+                frm.FirstStartFlg = false;
+
+                // 初期選択年度
+                frm.FirstStartPeriod = CurrentPara.IntExecParameter[1];
+
+                // 初期選択部署コード
+                frm.FirstStartDepartmentCode = CurrentPara.IntExecParameter[2];
+
+                // 初期選択担当者コード
+                frm.FirstStartPersonCode = CurrentPara.IntExecParameter[3];
+
                 // フォーム表示
                 frm.ShowDialog();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                BackProcess();
+            }
+            finally
+            {
+                frm.Dispose(); frm = null;
+            }
+        }
+        #endregion
 
+        #region 注文書発給一覧
+        /// <summary>
+        /// 注文書発給一覧
+        /// </summary>
+        /// <param name="CurrentPara"></param>
+        public static void ProcessExecuteNo_PurchaseOrderStatus(ProcessParameter CurrentPara)
+        {
+            //　注文書発給一覧
+            FrmPurchaseOrderStatus frm = new FrmPurchaseOrderStatus();
+            try
+            {
+                // フォーム表示
+                frm.ShowDialog();
+                
             }
             catch (Exception ex)
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                BackProcess();
             }
             finally
             {
@@ -1187,27 +1531,127 @@
         }
         #endregion
 
-        #region 日報入力
+        #region 工事結合
         /// <summary>
-        /// 工事日報入力
+        /// 工事結合
         /// </summary>
+        /// <param name="CurrentPara"></param>
+        public static void ProcessExecuteNo_OrderJoin(ProcessParameter CurrentPara)
+        {
+            //　工事結合
+            FrmConstructionJoin frm = new FrmConstructionJoin();
+            try
+            {
+                // フォーム表示
+                frm.ShowDialog();
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                BackProcess();
+            }
+            finally
+            {
+                frm.Dispose(); frm = null;
+            }
+        }
+        #endregion
+
+        #region 工事分割
+        /// <summary>
+        /// 工事分割
+        /// </summary>
+        /// <param name="CurrentPara"></param>
+        public static void ProcessExecuteNo_ConstructionSplit(ProcessParameter CurrentPara)
+        {
+            //　工事分割
+            FrmConstructionSplit frm = new FrmConstructionSplit();
+            try
+            {
+                // フォーム表示
+                frm.ShowDialog();
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                BackProcess();
+            }
+            finally
+            {
+                frm.Dispose(); frm = null;
+            }
+        }
+        #endregion
+
+        #region 出勤管理入力
+        /// <summary>
+        /// 出勤管理入力
+        /// </summary>
         /// <returns></returns>
-        public static void ProcessExecuteNo_DailyReport(ProcessParameter CurrentPara)
+        public static void ProcessExecuteNo_DRWork(ProcessParameter CurrentPara)
         {
-            // 日報入力
-            FrmDailyReport frm = new FrmDailyReport();
+            // 出勤管理入力
+            FrmDRWork frm = new FrmDRWork();
             try
             {
-                // ----- パラメータセット
-                // 選択工事番号セット
-                frm.ConstructionCode = CurrentPara.IntExecParameter[0];
+                // 自分のハンドルをリストへセットする
+                int ProcessNo = (int)ClsExcute.ProcessExecuteNo.DRWork;
+                ClsExcute.SubFormHandleList[ProcessNo].ProcessNo = ProcessNo;
+                ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle = (Form)frm;
 
-                // 選択行担当者セット
+                // 起動・編集フラグ
+                //int EditFlg = (int)CommonDefine.ProcessDataEdit.Reference;
+                //if (!ClsSecurityPermission.GetExecutePermission(ProcessNo, ref EditFlg))
+                //{
+                //    BackProcess();
+                //    return;
+                //}
+                //if (EditFlg == (int)CommonDefine.ProcessDataEdit.Reference) frm.EditLock = true;
+
+                // パラメータセット
                 frm.PersonCode = CurrentPara.IntExecParameter[1];
 
-                // 選択行作成日セット
-                frm.ReportDate = CommonMotions.cnvDate(CurrentPara.StringExecParameter[0]);
+                // フォーム表示
+                frm.ShowDialog();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                BackProcess();
+            }
+            finally
+            {
+                frm.Dispose(); frm = null;
+            }
+        }
+        #endregion
 
+        #endregion
+
+        #region 資材一覧画面
+        /// <summary>
+        /// 資材一覧画面
+        /// </summary>
+        /// <returns></returns>
+        public static void ProcessExecuteNo_MaterialList(ProcessParameter CurrentPara)
+        {
+            // 資材一覧
+            FrmMaterialList frm = new FrmMaterialList();
+            try
+            {
+                int ProcessNo = (int)ProcessExecuteNo.MaterialList;
+                // 起動・編集フラグ
+                int EditFlg = (int)CommonDefine.ProcessDataEdit.Reference;
+                if (!ClsSecurityPermission.GetExecutePermission(ProcessNo, ref EditFlg))
+                {
+                    BackProcess();
+                    return;
+                }
+
+                if (EditFlg == (int)CommonDefine.ProcessDataEdit.Reference) frm.EditLock = true;
+
                 // フォーム表示
                 frm.ShowDialog();
             }
@@ -1222,20 +1666,32 @@
         }
         #endregion
 
-        #region 部署別台帳一覧
+        #region 資材履歴画面
         /// <summary>
-        /// 部署別台帳一覧
+        /// 資材履歴画面
         /// </summary>
         /// <returns></returns>
-        public static void ProcessExecuteNo_DepartmentExpenssList(ProcessParameter CurrentPara)
+        public static void ProcessExecuteNo_MaterialHistoryEntry(ProcessParameter CurrentPara)
         {
-            //　部署別台帳一覧
-            FrmDepExpenssList frm = new FrmDepExpenssList();
+            // 資材履歴画面
+            FrmMaterialHistory frm = new FrmMaterialHistory();
             try
             {
-                // 次起動プロセスセット
-                //frm.ExecuteFlg = CurrentPara.IntExecParameter[0];
+                frm.MaterialType = CurrentPara.StringExecParameter[0].ToString();
+                frm.MaterialItemCode = CurrentPara.IntExecParameter[0];
+                frm.MaterialItem = CurrentPara.StringExecParameter[1].ToString();
+                frm.MaterialCount = CurrentPara.StringExecParameter[2].ToString();
+                frm.MaterialAssignableCount = CurrentPara.StringExecParameter[3].ToString();
 
+                int ProcessNo = (int)ProcessExecuteNo.MaterialHistory;
+                // 起動・編集フラグ
+                int EditFlg = (int)CommonDefine.ProcessDataEdit.Reference;
+                if (!ClsSecurityPermission.GetExecutePermission(ProcessNo, ref EditFlg))
+                {
+                    BackProcess();
+                    return;
+                }
+
                 // フォーム表示
                 frm.ShowDialog();
             }
@@ -1250,31 +1706,67 @@
         }
         #endregion
 
-        #region 工事詳細台帳一覧（個人指定）
+        #region 資材数変更画面
         /// <summary>
-        /// 工事詳細台帳一覧（個人指定）
+        /// 資材数変更画面
         /// </summary>
         /// <returns></returns>
-        public static void ProcessExecuteNo_ConstrLedgerPersonList(ProcessParameter CurrentPara)
+        public static void ProcessExecuteNo_MaterialCountEntry(ProcessParameter CurrentPara)
         {
-            //　工事詳細台帳一覧
-            FrmConstructionLedgerList frm = new FrmConstructionLedgerList();
+            // 資材数変更画面
+            FrmMaterialCountEntry frm = new FrmMaterialCountEntry();
             try
             {
-                // 次起動プロセスセット
-                frm.ExecuteFlg = CurrentPara.IntExecParameter[0];
+                frm.MaterialType = CurrentPara.StringExecParameter[0].ToString();
+                frm.MaterialItemCode = CurrentPara.IntExecParameter[0];
+                frm.MaterialItem = CurrentPara.StringExecParameter[1].ToString();
+                frm.MaterialCount = CurrentPara.StringExecParameter[2].ToString();
+                frm.MaterialAssignableCount = CurrentPara.StringExecParameter[3].ToString();
 
-                // 初期選択無しフラグ
-                frm.FirstStartFlg = false;
+                int ProcessNo = (int)ProcessExecuteNo.MaterialCountEntry;
+                // 起動・編集フラグ
+                int EditFlg = (int)CommonDefine.ProcessDataEdit.Reference;
+                if (!ClsSecurityPermission.GetExecutePermission(ProcessNo, ref EditFlg))
+                {
+                    BackProcess();
+                    return;
+                }
 
-                // 初期選択年度
-                frm.FirstStartPeriod = CurrentPara.IntExecParameter[1];
+                if (EditFlg == (int)CommonDefine.ProcessDataEdit.Reference) frm.EditLock = true;
 
-                // 初期選択部署コード
-                frm.FirstStartDepartmentCode = CurrentPara.IntExecParameter[2];
+                // フォーム表示
+                frm.ShowDialog();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                frm.Dispose(); frm = null;
+            }
+        }
+        #endregion
 
-                // 初期選択担当者コード
-                frm.FirstStartPersonCode = CurrentPara.IntExecParameter[3];
+        #region 資材選択画面
+        /// <summary>
+        /// 資材選択
+        /// </summary>
+        /// <param name="CurrentPara"></param>
+        public static void ProcessExecuteNo_MaterialSelect(ProcessParameter CurrentPara)
+        {
+            // 承認画面
+            FrmMaterialSelect frm = new FrmMaterialSelect();
+            try
+            {
+                int ProcessNo = (int)ProcessExecuteNo.MaterialSelect;
+                // 起動・編集フラグ
+                int EditFlg = (int)CommonDefine.ProcessDataEdit.Reference;
+                if (!ClsSecurityPermission.GetExecutePermission(ProcessNo, ref EditFlg))
+                {
+                    BackProcess();
+                    return;
+                }
 
                 // フォーム表示
                 frm.ShowDialog();
